--           2 
--          /
--       -------    
--      /      /|
--     /  5   / |
--     -------  | 4
--    |  |   |  |
-- 3  |  |   |  | 
--    |   ---|---
--    | /  6 | /
--    |/     |/
--     ------
--     /
--    1      
--       
--       4 is precice boundary
--
--
printRuntimeInfo = false
outputname= 'mesh_left'
comment = 'mesh_left'
minlevel = 3 
folder = 'mesh_left/'
level = 3
--debug = {debugMode=true, debugFiles=true, debugMesh='debug/'}
bounding_cube = { origin = {-2.0, -2.0, -2.0}, length = 4.0 }
eps=bounding_cube.length/math.pow(2,level+1)

-------------------------------------------------------------------
 spatial_object = {
  { attribute = { kind = 'seed', label = 'seed', },
    geometry = {
      kind = 'canoND',
      object = { origin = { -0.5-eps, 0.0+eps, 0.0+eps },
     }
    }
  }, -- seed
  { attribute = {
      kind = 'boundary', label = 'wall_1',
      level = level, calc_dist = false,
  },
    geometry = {
      kind = 'canoND',
      object = {
        origin = { (-1.0-eps), (-1.0-eps), (1.0+eps) }, -- left down front 
        vec = { { (1.0+2*eps), 0.0, 0.0 },
               { 0.0, (2.0+2*eps), 0.0 },
        },
      } -- object
    },
  },
  --------------------------------------------
  { attribute = {
      kind = 'boundary', label = 'wall_2',
      level = level, calc_dist = false,
    },
    geometry = {
      kind = 'canoND',
      object = {
        origin = { (-1.0-eps), (-1.0-eps), (-1.0-eps) }, -- left down back
        vec = { { (1.0+2*eps), 0.0, 0.0 },
                { 0.0, (2.0+2*eps), 0.0 },
        },
      } -- object
    },
  },
  --------------------------------------------
  { attribute = {
      kind = 'boundary', label = 'wall_3',
      level = level, calc_dist = false,
    },
    geometry = {
      kind = 'canoND',
      object = {
        origin = { (-1.0-eps), (-1.0-eps), (1.0+eps) }, -- left, down, front
        vec = { { 0.0, 0.0, (-2.0-2*eps) },
                { 0.0, (2.0+2*eps), 0.0 },
        },
      } -- object
    },
  },
  --------------------------------------------
  { attribute = {
      kind = 'boundary', label = 'wall_4',
      level = level, calc_dist = false,
    },
    geometry = {
      kind = 'canoND',
      object = {
        origin = { (0.0+eps), (-1.0-eps), (1.0+eps) }, --right, down, front
        vec = { { 0.0, 0.0, (-2.0-2*eps) },
                { 0.0, (2.0+2*eps), 0.0 },
        },
      } -- object
    },
  }, 
  --------------------------------------------
  { attribute = {
      kind = 'boundary', label = 'wall_5',
      level = level, calc_dist = false,
    },
    geometry = {
      kind = 'canoND',
      object = {
        origin = {(-1.0-eps), (1.0+eps),(1.0+eps) }, -- left, up, front
        vec = { { (1.0+2*eps), 0.0, 0.0 },
                { 0.0, 0.0, (-2.0-2*eps) },
        },
      } -- object
    },
  }, 
  --------------------------------------------
  { attribute = {
      kind = 'boundary', label = 'wall_6',
      level = level, calc_dist = false,
    },
    geometry = {
      kind = 'canoND',
      object = {
        origin = { (-1.0-eps), (-1.0-eps), (1.0+eps) }, -- left, down, front
        vec = { { (1.0+2*eps), 0.0, 0.0 },
                { 0.0, 0.0, (-2.0-2*eps) },
        },
      } -- object
    },
  }, 
} -- spatial object
